%define build_static 0

Name: netatalk
Version: 2.0.3
Release: alt5

Summary: AppleTalk networking programs
License: GPL, BSD
Group: Networking/Other

Url: http://netatalk.sourceforge.net
Source0: %name-%version.tar.bz2
Source1: atalk.init
Source2: netatalk.pamd
Patch: %name-%version-libdb4.3.patch
Packager: Michael Shigorin <mike@altlinux.org>

# Automatically added by buildreq on Wed May 16 2007
BuildRequires: libcups-devel libdb4-devel libpam-devel libssl-devel libwrap-devel zlib-devel

%description
This package enables Linux to talk to Macintosh computers via the
AppleTalk networking protocol. It allows Linux to act as a file server
over AppleTalk or IP for Macs.

Netatalk is available under the GPL and BSD licenses.

%package devel
Summary: Headers and shared libraries for AppleTalk development
Group: Development/C
Requires: %name = %version-%release
Requires: libpam-devel libssl-devel libwrap-devel libacl-devel libattr-devel automake-common

%description devel
This package contains the header files and shared libraries for building
AppleTalk networking programs

%if %build_static
%package devel-static
Summary: Static libraries for AppleTalk development
Group: Development/C
Requires: %name-devel = %version-%release

%description devel-static
This package contains static libraries for building
AppleTalk networking programs
%endif

%prep
%setup -n %name-%version
%patch -p1

%build
%configure \
	--with-pam=yes \
	--enable-redhat \
	--with-shadow \
	--enable-fhs \
	--with-did=last \
	--enable-acl \
	--enable-cups \
	--libexecdir=%_bindir \
%if %build_static
	--enable-static
%else   
	--disable-static
%endif
%make_build

%install
mkdir -p %buildroot{%_sysconfdir/{netatalk,pam.d},%_initdir,%_libdir/netatalk}
mkdir -p %buildroot{%_man1dir,%_man3dir,%_man4dir,%_man8dir}
%make_install install DESTDIR=%buildroot
rm -f %buildroot%_bindir/acleandir.rc
rm -f %buildroot%_includedir/netatalk/at.h
# override RH-style initscript
install -pD -m755 %SOURCE1 %buildroot%_initdir/atalk
# ...and PAM configuration as well
install -pD -m644 %SOURCE2 %buildroot%_sysconfdir/pam.d/%name

%post
%post_service atalk

%preun
%preun_service atalk

%files
%dir %_sysconfdir/%name
%dir %_libdir/%name
%config %_sysconfdir/%name/*
%config %_initdir/atalk
%config %_sysconfdir/pam.d/%name
%_bindir/*
%_sbindir/*
%_mandir/man?/*
%_libdir/%name/*.so
%_datadir/%name/
%doc CONTRIBUTORS COPYRIGHT COPYING README TODO VERSION NEWS 
%doc doc/DEVELOPER doc/FAQ doc/README.* doc/Netatalk-Manual.* doc/htmldocs

%files devel
%dir %_includedir/atalk
%dir %_includedir/netatalk
%_libdir/libatalk.*
%_includedir/atalk/*
%_includedir/netatalk/*
%_datadir/aclocal/*

%if %build_static
%files devel-static
#_libdir/%name/*.la
%_libdir/%name/*.a
%endif

# TODO:
# - check devel-static subpackage?
# - proper condrestart in initscript

%changelog
* Tue May 15 2007 Michael Shigorin <mike@altlinux.org> 2.0.3-alt5
- accepted spec fixes and improvements (see #11772):
  + Tue May 14 2007 Sergey Kurakin <kurakin@quittance.ru> 2.0.3-alt5
  - fixed x86_64 build
  - the same time, figured out, what's up with %_libdir stuff
  - CUPS support enabled
  - added BuildRequires: zlib-devel, needed for CUPS support
- removed what got commented out
- buildreq (added libcups-devel too)

* Fri Mar 30 2007 Michael Shigorin <mike@altlinux.org> 2.0.3-alt4
- investigated licensing question:
  + source tarball contains both GPL (COPYING) and BSD (COPYRIGHT)
  + Fedora ships as GPL
  + Mandriva ships as BSD
  + http://sourceforge.net/projects/netatalk/ mentions both
  * changed License: to "GPL, BSD" so users can choose themselves

* Tue Mar 27 2007 Sergey Kurakin <kurakin@quittance.ru> 2.0.3-alt3
- proper libdb4.3+ patch instead of invalid in 2.0.1-alt2
- license is GNU GPL in fact

* Mon Mar 26 2007 Michael Shigorin <mike@altlinux.org> 2.0.3-alt2
- built for ALT Linux Sisyphus; based on spec+patch by Sergey Kurakin
  (in its turn based on ApplianceWare 1.5.x package)
- introduced devel-static subpackage (not built by default)
- added devel subpackages Requires: (based on 1.5.3-alt13)
- replaced RH-style initscript and PAM configuration by conforming
  ones (from 1.5.3-alt13; courtesy of Alexander Bokovoy and 
  Ihar Viarheichyk)
- fixed mandir directory intersections with filesystem
- minor spec cleanup
- buildreq

* Thu Mar 22 2007 Sergey Kurakin <kurakin@quittance.ru> 2.0.3-alt1.3
- just rebuild
* Sun Apr  2 2006 Sergey Kurakin <kurakin@actdesign.com> 2.0.3-alt1.2
- rebuild
* Mon Jun 13 2005 Sergey Kurakin <kurakin@actdesign.com> 2.0.3-alt1
- new version
* Sat Jun 11 2005 Sergey Kurakin <kurakin@actdesign.com> 2.0.1-alt3
- rebuild
* Sat Feb 26 2005 Sergey Kurakin <kurakin@actdesign.com> 2.0.1-alt2
- rebuild with libdb4.3
* Sun Oct 31 2004 Sergey Kurakin <kurakin@actdesign.com> 2.0.1-alt1
- new version
- added documentation
* Mon Jul 26 2004 Sergey Kurakin <kurakin@actdesign.com> 2.0-beta2
- new version

* Thu Mar 25 2004 Alexander Bokovoy <ab@altlinux.ru> 1.5.3-alt13
- Fixed:
    + Build against GCC 3.3
    + License is GNU GPL in fact
    + PAM service conforms to ALT PAM Policy now

* Fri Oct 31 2003 Alexander Bokovoy <ab@altlinux.ru> 1.5.3-alt4
- Build for ALT Linux Sisyphus

